VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
InputStreamContentProvider Class Reference
Inheritance diagram for InputStreamContentProvider:

## Public Member Functions
| InputStreamContentProvider (InputStream &stream)
uint32_t | readRawData (int8_t *buffer, uint32_t size) override
void | rewind () override
Public Member Functions inherited from IContentProvider
virtual | ~IContentProvider () noexcept=default

## Protected Attributes
InputStream & | stream
int64_t | startPos

## Constructor & Destructor Documentation

InputStreamContentProvider | ( | InputStream & | stream | ) |
| explicit

## Member Function Documentation

uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size
| ) |  |
| override virtual

Implements IContentProvider.

void rewind | ( |  | ) |
| override virtual

Implements IContentProvider.

## Member Data Documentation

int64_t startPos
| protected

InputStream& stream
| protected

The documentation for this class was generated from the following files:

- uicontentprovider.h
- uicontentprovider.cpp